> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secret



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/secrets/{project_id}/{region_id}/{secret_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-07T20:33:46.548242+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/secrets/{project_id}/{region_id}/{secret_id}:
    get:
      tags:
        - Secrets
      summary: Get secret
      operationId: SecretViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
        - in: path
          name: secret_id
          required: true
          description: Secret ID
          schema:
            description: Secret ID
            example: bfc7824b-31b6-4a28-a0c4-7df137139215
            examples:
              - bfc7824b-31b6-4a28-a0c4-7df137139215
            format: uuid4
            title: Secret Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            secret = client.cloud.secrets.get(
                secret_id="bfc7824b-31b6-4a28-a0c4-7df137139215",
                project_id=1,
                region_id=1,
            )
            print(secret.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsecret, err := client.Cloud.Secrets.Get(\n\t\tcontext.TODO(),\n\t\t\"bfc7824b-31b6-4a28-a0c4-7df137139215\",\n\t\tcloud.SecretGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(1),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", secret.ID)\n}\n"
components:
  schemas:
    SecretSerializer:
      properties:
        algorithm:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Defaults to None
          examples:
            - aes
          title: Algorithm
        bit_length:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Value must be greater than zero. Defaults to None
          examples:
            - 256
          title: Bit Length
        content_types:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          default: null
          description: >-
            Describes the content-types that can be used to retrieve the
            payload. The content-type used with symmetric secrets is
            application/octet-stream
          examples:
            - default: application/octet-stream
          title: Content Types
        created:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            Datetime when the secret was created. The format is
            2020-01-01T12:00:00+00:00
          examples:
            - '2023-03-23T20:00:00+00:00'
          title: Created
        expiration:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          default: null
          description: >-
            Datetime when the secret will expire. The format is
            2020-01-01T12:00:00+00:00. Defaults to None
          examples:
            - '2023-06-23T20:00:00+00:00'
          title: Expiration
        id:
          description: Secret uuid
          example: bfc7824b-31b6-4a28-a0c4-7df137139215
          examples:
            - bfc7824b-31b6-4a28-a0c4-7df137139215
          title: Id
          type: string
        mode:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Metadata provided by a user or system for informational purposes.
            Defaults to None
          examples:
            - cbc
          title: Mode
        name:
          description: Secret name
          example: AES key
          examples:
            - AES key
          title: Name
          type: string
        secret_type:
          $ref: '#/components/schemas/SecretTypesEnum'
          description: >-
            Secret type, base64 encoded. symmetric - Used for storing byte
            arrays such as keys suitable for symmetric encryption; public - Used
            for storing the public key of an asymmetric keypair; private - Used
            for storing the private key of an asymmetric keypair; passphrase -
            Used for storing plain text passphrases; certificate - Used for
            storing cryptographic certificates such as X.509 certificates;
            opaque - Used for backwards compatibility with previous versions of
            the API
          examples:
            - opaque
        status:
          description: Status
          example: ACTIVE
          examples:
            - ACTIVE
          title: Status
          type: string
      required:
        - name
        - id
        - secret_type
        - status
      title: SecretSerializer
      type: object
    SecretTypesEnum:
      enum:
        - certificate
        - opaque
        - passphrase
        - private
        - public
        - symmetric
      title: SecretTypesEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````